/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _266MP7JRSCAMERAMOTIONTYPEFACTORY_H
#define _266MP7JRSCAMERAMOTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsCameraMotionTypeFactory<br>
 * for class Mp7JrsCameraMotionType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 830<br>
 * Classified: Class<br>
 * Derived from: VisualDType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsCameraMotionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsCameraMotionTypeFactory();
    virtual ~Mp7JrsCameraMotionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _266MP7JRSCAMERAMOTIONTYPEFACTORY_H
