/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _278MP7JRSCLASSIFICATIONPREFERENCESTYPE_CAPTIONLANGUAGE_LOCALTYPEFACTORY_H
#define _278MP7JRSCLASSIFICATIONPREFERENCESTYPE_CAPTIONLANGUAGE_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsClassificationPreferencesType_CaptionLanguage_LocalTypeFactory<br>
 * for class Mp7JrsClassificationPreferencesType_CaptionLanguage_LocalType:<br>
 * Located at: mds-2001.xsd, line 6023<br>
 * Classified: Class<br>
 * Derived from: language (String)<br>
 */

class MP7JRS_EXPORT Mp7JrsClassificationPreferencesType_CaptionLanguage_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsClassificationPreferencesType_CaptionLanguage_LocalTypeFactory();
    virtual ~Mp7JrsClassificationPreferencesType_CaptionLanguage_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _278MP7JRSCLASSIFICATIONPREFERENCESTYPE_CAPTIONLANGUAGE_LOCALTYPEFACTORY_H
