/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _518MP7JRSCOLORSTRUCTURETYPE_VALUES_LOCALTYPEFACTORY_H
#define _518MP7JRSCOLORSTRUCTURETYPE_VALUES_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsColorStructureType_Values_LocalTypeFactory<br>
 * for class Mp7JrsColorStructureType_Values_LocalType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 623<br>
 * Derived from: ColorStructureType_Values_CollectionType (Collection)<br>
 */

class MP7JRS_EXPORT Mp7JrsColorStructureType_Values_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsColorStructureType_Values_LocalTypeFactory();
    virtual ~Mp7JrsColorStructureType_Values_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _518MP7JRSCOLORSTRUCTURETYPE_VALUES_LOCALTYPEFACTORY_H
