/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _742MP7JRSDISCRETEUNIFORMDISTRIBUTIONTYPEFACTORY_H
#define _742MP7JRSDISCRETEUNIFORMDISTRIBUTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsDiscreteUniformDistributionTypeFactory<br>
 * for class Mp7JrsDiscreteUniformDistributionType:<br>
 * Located at: mds-2001.xsd, line 5509<br>
 * Classified: Class<br>
 * Derived from: DiscreteDistributionType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsDiscreteUniformDistributionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsDiscreteUniformDistributionTypeFactory();
    virtual ~Mp7JrsDiscreteUniformDistributionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _742MP7JRSDISCRETEUNIFORMDISTRIBUTIONTYPEFACTORY_H
