/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _748MP7JRSDOMINANTCOLORTYPE_VALUE_COLLECTIONTYPEFACTORY_H
#define _748MP7JRSDOMINANTCOLORTYPE_VALUE_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsDominantColorType_Value_CollectionTypeFactory<br>
 * for class Mp7JrsDominantColorType_Value_CollectionType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 306<br>
 * Item type: DominantColorType_Value_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsDominantColorType_Value_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsDominantColorType_Value_CollectionTypeFactory();
    virtual ~Mp7JrsDominantColorType_Value_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _748MP7JRSDOMINANTCOLORTYPE_VALUE_COLLECTIONTYPEFACTORY_H
