/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _973MP7JRSHIERARCHICALSUMMARYTYPE_COMPONENTS_LOCALTYPE_H
#define _973MP7JRSHIERARCHICALSUMMARYTYPE_COMPONENTS_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsHierarchicalSummaryType_components_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsHierarchicalSummaryType_components_LocalType<br>
 * Located at: mds-2001.xsd, line 4496<br>
 * Enumerations: <br>
 * keyAudioVisualClips (mapped to XML keyAudioVisualClips) <br>
 * keyVideoClips (mapped to XML keyVideoClips) <br>
 * keyAudioClips (mapped to XML keyAudioClips) <br>
 * keyFrames (mapped to XML keyFrames) <br>
 * keySounds (mapped to XML keySounds) <br>
 * keyThemes (mapped to XML keyThemes) <br>
 */
class MP7JRS_EXPORT Mp7JrsHierarchicalSummaryType_components_LocalType
{
public:
	/** Mp7JrsHierarchicalSummaryType_components_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		keyAudioVisualClips, // Mapped to keyAudioVisualClips
		keyVideoClips, // Mapped to keyVideoClips
		keyAudioClips, // Mapped to keyAudioClips
		keyFrames, // Mapped to keyFrames
		keySounds, // Mapped to keySounds
		keyThemes, // Mapped to keyThemes
	};
	

// no includefile for extension defined 
// file Mp7JrsHierarchicalSummaryType_components_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsHierarchicalSummaryType_components_LocalType::Enumeration item);
	static Mp7JrsHierarchicalSummaryType_components_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsHierarchicalSummaryType_components_LocalType_ExtPropDef.h


};
#endif // _973MP7JRSHIERARCHICALSUMMARYTYPE_COMPONENTS_LOCALTYPE_H
