/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _975MP7JRSHIERARCHICALSUMMARYTYPE_HIERARCHY_LOCALTYPE_H
#define _975MP7JRSHIERARCHICALSUMMARYTYPE_HIERARCHY_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsHierarchicalSummaryType_hierarchy_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsHierarchicalSummaryType_hierarchy_LocalType<br>
 * Located at: mds-2001.xsd, line 4510<br>
 * Enumerations: <br>
 * independent (mapped to XML independent) <br>
 * dependent (mapped to XML dependent) <br>
 */
class MP7JRS_EXPORT Mp7JrsHierarchicalSummaryType_hierarchy_LocalType
{
public:
	/** Mp7JrsHierarchicalSummaryType_hierarchy_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		independent, // Mapped to independent
		dependent, // Mapped to dependent
	};
	

// no includefile for extension defined 
// file Mp7JrsHierarchicalSummaryType_hierarchy_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsHierarchicalSummaryType_hierarchy_LocalType::Enumeration item);
	static Mp7JrsHierarchicalSummaryType_hierarchy_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsHierarchicalSummaryType_hierarchy_LocalType_ExtPropDef.h


};
#endif // _975MP7JRSHIERARCHICALSUMMARYTYPE_HIERARCHY_LOCALTYPE_H
