/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1148MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE1FACTORY_H
#define _1148MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE1FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType1Factory<br>
 * for class Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType1:<br>
 * Located at: mds-2001.xsd, line 2288<br>
 * Derived from: anyURI (String)<br>
 */

class MP7JRS_EXPORT Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType1Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType1Factory();
    virtual ~Mp7JrsMediaFormatType_AudioCoding_Emphasis_LocalType1Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1148MP7JRSMEDIAFORMATTYPE_AUDIOCODING_EMPHASIS_LOCALTYPE1FACTORY_H
