/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1157MP7JRSMEDIAFORMATTYPE_SCALABLECODING_LOCALTYPE_H
#define _1157MP7JRSMEDIAFORMATTYPE_SCALABLECODING_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_ScalableCoding_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsMediaFormatType_ScalableCoding_LocalType<br>
 * Located at: mds-2001.xsd, line 2164<br>
 * Enumerations: <br>
 * spatial (mapped to XML spatial) <br>
 * temporal (mapped to XML temporal) <br>
 * snr (mapped to XML snr) <br>
 * fgs (mapped to XML fgs) <br>
 */
class MP7JRS_EXPORT Mp7JrsMediaFormatType_ScalableCoding_LocalType
{
public:
	/** Mp7JrsMediaFormatType_ScalableCoding_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		spatial, // Mapped to spatial
		temporal, // Mapped to temporal
		snr, // Mapped to snr
		fgs, // Mapped to fgs
	};
	

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_ScalableCoding_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsMediaFormatType_ScalableCoding_LocalType::Enumeration item);
	static Mp7JrsMediaFormatType_ScalableCoding_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_ScalableCoding_LocalType_ExtPropDef.h


};
#endif // _1157MP7JRSMEDIAFORMATTYPE_SCALABLECODING_LOCALTYPE_H
