/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1352MP7JRSMOTIONACTIVITYTYPE_SPATIALLOCALIZATIONPARAMS_VECTOR16_COLLECTIONTYPEFACTORY_H
#define _1352MP7JRSMOTIONACTIVITYTYPE_SPATIALLOCALIZATIONPARAMS_VECTOR16_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsMotionActivityType_SpatialLocalizationParams_Vector16_CollectionTypeFactory<br>
 * for class Mp7JrsMotionActivityType_SpatialLocalizationParams_Vector16_CollectionType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 1074<br>
 * Item type: unsigned3 (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsMotionActivityType_SpatialLocalizationParams_Vector16_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsMotionActivityType_SpatialLocalizationParams_Vector16_CollectionTypeFactory();
    virtual ~Mp7JrsMotionActivityType_SpatialLocalizationParams_Vector16_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1352MP7JRSMOTIONACTIVITYTYPE_SPATIALLOCALIZATIONPARAMS_VECTOR16_COLLECTIONTYPEFACTORY_H
