/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1535MP7JRSPARAMETRICMOTIONTYPE_MOTIONMODEL_LOCALTYPE_H
#define _1535MP7JRSPARAMETRICMOTIONTYPE_MOTIONMODEL_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsParametricMotionType_motionModel_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsParametricMotionType_motionModel_LocalType<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 1009<br>
 * Enumerations: <br>
 * translational (mapped to XML translational) <br>
 * rotationOrScaling (mapped to XML rotationOrScaling) <br>
 * affine (mapped to XML affine) <br>
 * perspective (mapped to XML perspective) <br>
 * quadratic (mapped to XML quadratic) <br>
 */
class MP7JRS_EXPORT Mp7JrsParametricMotionType_motionModel_LocalType
{
public:
	/** Mp7JrsParametricMotionType_motionModel_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		translational, // Mapped to translational
		rotationOrScaling, // Mapped to rotationOrScaling
		affine, // Mapped to affine
		perspective, // Mapped to perspective
		quadratic, // Mapped to quadratic
	};
	

// no includefile for extension defined 
// file Mp7JrsParametricMotionType_motionModel_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsParametricMotionType_motionModel_LocalType::Enumeration item);
	static Mp7JrsParametricMotionType_motionModel_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsParametricMotionType_motionModel_LocalType_ExtPropDef.h


};
#endif // _1535MP7JRSPARAMETRICMOTIONTYPE_MOTIONMODEL_LOCALTYPE_H
