/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1592MP7JRSPHONELEXICONTYPEFACTORY_H
#define _1592MP7JRSPHONELEXICONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsPhoneLexiconTypeFactory<br>
 * for class Mp7JrsPhoneLexiconType:<br>
 * Located at: audio-2001.xsd, line 567<br>
 * Classified: Class<br>
 * Derived from: LexiconType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsPhoneLexiconTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsPhoneLexiconTypeFactory();
    virtual ~Mp7JrsPhoneLexiconTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1592MP7JRSPHONELEXICONTYPEFACTORY_H
