/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2006MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_CURRPIXEL_LOCALTYPEFACTORY_H
#define _2006MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_CURRPIXEL_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CurrPixel_LocalTypeFactory<br>
 * for class Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CurrPixel_LocalType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 138<br>
 * Derived from: integerVector (Collection)<br>
 */

class MP7JRS_EXPORT Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CurrPixel_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CurrPixel_LocalTypeFactory();
    virtual ~Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_CurrPixel_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2006MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_CURRPIXEL_LOCALTYPEFACTORY_H
