/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2158MP7JRSSTRUCTUREDCOLLECTIONTYPE_COLLECTIONTYPE2FACTORY_H
#define _2158MP7JRSSTRUCTUREDCOLLECTIONTYPE_COLLECTIONTYPE2FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsStructuredCollectionType_CollectionType2Factory<br>
 * for class Mp7JrsStructuredCollectionType_CollectionType2:<br>
 * Located at: mds-2001.xsd, line 5363<br>
 * Item type: StructuredCollectionType_LocalType2 (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsStructuredCollectionType_CollectionType2Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsStructuredCollectionType_CollectionType2Factory();
    virtual ~Mp7JrsStructuredCollectionType_CollectionType2Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2158MP7JRSSTRUCTUREDCOLLECTIONTYPE_COLLECTIONTYPE2FACTORY_H
