/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2311MP7JRSTEXTUREBROWSINGTYPE_DIRECTION_LOCALTYPE_H
#define _2311MP7JRSTEXTUREBROWSINGTYPE_DIRECTION_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Direction_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsTextureBrowsingType_Direction_LocalType<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 703<br>
 * Enumerations: <br>
 * noDirectionality (mapped to XML noDirectionality) <br>
 * _0Degree (mapped to XML 0Degree) <br>
 * _30Degree (mapped to XML 30Degree) <br>
 * _60Degree (mapped to XML 60Degree) <br>
 * _90Degree (mapped to XML 90Degree) <br>
 * _120Degree (mapped to XML 120Degree) <br>
 * _150Degree (mapped to XML 150Degree) <br>
 */
class MP7JRS_EXPORT Mp7JrsTextureBrowsingType_Direction_LocalType
{
public:
	/** Mp7JrsTextureBrowsingType_Direction_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		noDirectionality, // Mapped to noDirectionality
		_0Degree, // Mapped to 0Degree
		_30Degree, // Mapped to 30Degree
		_60Degree, // Mapped to 60Degree
		_90Degree, // Mapped to 90Degree
		_120Degree, // Mapped to 120Degree
		_150Degree, // Mapped to 150Degree
	};
	

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Direction_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsTextureBrowsingType_Direction_LocalType::Enumeration item);
	static Mp7JrsTextureBrowsingType_Direction_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Direction_LocalType_ExtPropDef.h


};
#endif // _2311MP7JRSTEXTUREBROWSINGTYPE_DIRECTION_LOCALTYPE_H
