/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2317MP7JRSTEXTUREBROWSINGTYPE_SCALE_LOCALTYPE_H
#define _2317MP7JRSTEXTUREBROWSINGTYPE_SCALE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Scale_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsTextureBrowsingType_Scale_LocalType<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 716<br>
 * Enumerations: <br>
 * fine (mapped to XML fine) <br>
 * medium (mapped to XML medium) <br>
 * coarse (mapped to XML coarse) <br>
 * veryCoarse (mapped to XML veryCoarse) <br>
 */
class MP7JRS_EXPORT Mp7JrsTextureBrowsingType_Scale_LocalType
{
public:
	/** Mp7JrsTextureBrowsingType_Scale_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		fine, // Mapped to fine
		medium, // Mapped to medium
		coarse, // Mapped to coarse
		veryCoarse, // Mapped to veryCoarse
	};
	

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Scale_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsTextureBrowsingType_Scale_LocalType::Enumeration item);
	static Mp7JrsTextureBrowsingType_Scale_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsTextureBrowsingType_Scale_LocalType_ExtPropDef.h


};
#endif // _2317MP7JRSTEXTUREBROWSINGTYPE_SCALE_LOCALTYPE_H
