/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2488MP7JRSVIDEOSEGMENTSPATIALDECOMPOSITIONTYPE_COLLECTIONTYPEFACTORY_H
#define _2488MP7JRSVIDEOSEGMENTSPATIALDECOMPOSITIONTYPE_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsVideoSegmentSpatialDecompositionType_CollectionTypeFactory<br>
 * for class Mp7JrsVideoSegmentSpatialDecompositionType_CollectionType:<br>
 * Located at: mds-2001.xsd, line 3313<br>
 * Item type: VideoSegmentSpatialDecompositionType_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsVideoSegmentSpatialDecompositionType_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsVideoSegmentSpatialDecompositionType_CollectionTypeFactory();
    virtual ~Mp7JrsVideoSegmentSpatialDecompositionType_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2488MP7JRSVIDEOSEGMENTSPATIALDECOMPOSITIONTYPE_COLLECTIONTYPEFACTORY_H
