/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _223MP7JRSAUXILIARYLANGUAGETYPE_LOCALTYPE_H
#define _223MP7JRSAUXILIARYLANGUAGETYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsauxiliaryLanguageType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsauxiliaryLanguageType_LocalType<br>
 * Located at: mds-2001.xsd, line 6084<br>
 * Enumerations: <br>
 * dubbed (mapped to XML dubbed) <br>
 * closedCaptions (mapped to XML closedCaptions) <br>
 * subTitles (mapped to XML subTitles) <br>
 * signLanguage (mapped to XML signLanguage) <br>
 * audioDescription (mapped to XML audioDescription) <br>
 */
class MP7JRS_EXPORT Mp7JrsauxiliaryLanguageType_LocalType
{
public:
	/** Mp7JrsauxiliaryLanguageType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		dubbed, // Mapped to dubbed
		closedCaptions, // Mapped to closedCaptions
		subTitles, // Mapped to subTitles
		signLanguage, // Mapped to signLanguage
		audioDescription, // Mapped to audioDescription
	};
	

// no includefile for extension defined 
// file Mp7JrsauxiliaryLanguageType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsauxiliaryLanguageType_LocalType::Enumeration item);
	static Mp7JrsauxiliaryLanguageType_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsauxiliaryLanguageType_LocalType_ExtPropDef.h


};
#endif // _223MP7JRSAUXILIARYLANGUAGETYPE_LOCALTYPE_H
