/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _602MP7JRSCONTOURTYPEFACTORY_H
#define _602MP7JRSCONTOURTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrscontourTypeFactory<br>
 * for class Mp7JrscontourType:<br>
 * Located at: audio-2001.xsd, line 781<br>
 * Item type: contourType_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrscontourTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrscontourTypeFactory();
    virtual ~Mp7JrscontourTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _602MP7JRSCONTOURTYPEFACTORY_H
