/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _608MP7JRSCOUNTRYCODEFACTORY_H
#define _608MP7JRSCOUNTRYCODEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrscountryCodeFactory<br>
 * for class Mp7JrscountryCode:<br>
 * Located at: mds-2001.xsd, line 824<br>
 * Regular expression: <br>
 * [a-zA-Z]{2}<br>
 * Mapped to string<br>
 */

class MP7JRS_EXPORT Mp7JrscountryCodeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrscountryCodeFactory();
    virtual ~Mp7JrscountryCodeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _608MP7JRSCOUNTRYCODEFACTORY_H
