/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _683MP7JRSDEPENDENCYOPERATORTYPE_LOCALTYPE_H
#define _683MP7JRSDEPENDENCYOPERATORTYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsdependencyOperatorType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsdependencyOperatorType_LocalType<br>
 * Located at: mds-2001.xsd, line 1363<br>
 * Enumerations: <br>
 * subject (mapped to XML subject) <br>
 * object (mapped to XML object) <br>
 * indirectObject (mapped to XML indirectObject) <br>
 * predicate (mapped to XML predicate) <br>
 * expletive (mapped to XML expletive) <br>
 * nonRestrictive (mapped to XML nonRestrictive) <br>
 */
class MP7JRS_EXPORT Mp7JrsdependencyOperatorType_LocalType
{
public:
	/** Mp7JrsdependencyOperatorType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		subject, // Mapped to subject
		object, // Mapped to object
		indirectObject, // Mapped to indirectObject
		predicate, // Mapped to predicate
		expletive, // Mapped to expletive
		nonRestrictive, // Mapped to nonRestrictive
	};
	

// no includefile for extension defined 
// file Mp7JrsdependencyOperatorType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsdependencyOperatorType_LocalType::Enumeration item);
	static Mp7JrsdependencyOperatorType_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsdependencyOperatorType_LocalType_ExtPropDef.h


};
#endif // _683MP7JRSDEPENDENCYOPERATORTYPE_LOCALTYPE_H
