/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1084MP7JRSINTEGERVECTORFACTORY_H
#define _1084MP7JRSINTEGERVECTORFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsintegerVectorFactory<br>
 * for class Mp7JrsintegerVector:<br>
 * Located at: mds-2001.xsd, line 695<br>
 * Item type: integer (Value)<br>
 */

class MP7JRS_EXPORT Mp7JrsintegerVectorFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsintegerVectorFactory();
    virtual ~Mp7JrsintegerVectorFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1084MP7JRSINTEGERVECTORFACTORY_H
