/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _50MP7JRSAFFECTIVETYPEFACTORY_H
#define _50MP7JRSAFFECTIVETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsAffectiveTypeFactory<br>
 * for class Mp7JrsAffectiveType:<br>
 * Located at: mds-2001.xsd, line 2040<br>
 * Classified: Class<br>
 * Derived from: DSType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsAffectiveTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsAffectiveTypeFactory();
    virtual ~Mp7JrsAffectiveTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _50MP7JRSAFFECTIVETYPEFACTORY_H
