/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _158MP7JRSAUDIOVISUALREGIONMEDIASOURCEDECOMPOSITIONTYPEFACTORY_H
#define _158MP7JRSAUDIOVISUALREGIONMEDIASOURCEDECOMPOSITIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsAudioVisualRegionMediaSourceDecompositionTypeFactory<br>
 * for class Mp7JrsAudioVisualRegionMediaSourceDecompositionType:<br>
 * Located at: mds-2001.xsd, line 3663<br>
 * Classified: Class<br>
 * Derived from: MediaSourceSegmentDecompositionType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsAudioVisualRegionMediaSourceDecompositionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsAudioVisualRegionMediaSourceDecompositionTypeFactory();
    virtual ~Mp7JrsAudioVisualRegionMediaSourceDecompositionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _158MP7JRSAUDIOVISUALREGIONMEDIASOURCEDECOMPOSITIONTYPEFACTORY_H
