/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _237MP7JRSAVAILABILITYTYPE_AVAILABILITYPERIOD_TYPE_LOCALTYPE_H
#define _237MP7JRSAVAILABILITYTYPE_AVAILABILITYPERIOD_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType<br>
 * Located at: mds-2001.xsd, line 2801<br>
 * Enumerations: <br>
 * live (mapped to XML live) <br>
 * repeat (mapped to XML repeat) <br>
 * firstShowing (mapped to XML firstShowing) <br>
 * lastShowing (mapped to XML lastShowing) <br>
 * conditionalAccess (mapped to XML conditionalAccess) <br>
 * encrypted (mapped to XML encrypted) <br>
 * payPerUse (mapped to XML payPerUse) <br>
 */
class MP7JRS_EXPORT Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType
{
public:
	/** Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		live, // Mapped to live
		repeat, // Mapped to repeat
		firstShowing, // Mapped to firstShowing
		lastShowing, // Mapped to lastShowing
		conditionalAccess, // Mapped to conditionalAccess
		encrypted, // Mapped to encrypted
		payPerUse, // Mapped to payPerUse
	};
	

// no includefile for extension defined 
// file Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::Enumeration item);
	static Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsAvailabilityType_AvailabilityPeriod_type_LocalType_ExtPropDef.h


};
#endif // _237MP7JRSAVAILABILITYTYPE_AVAILABILITYPERIOD_TYPE_LOCALTYPE_H
