/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _484MP7JRSCOLORQUANTIZATIONTYPE_COLLECTIONTYPEFACTORY_H
#define _484MP7JRSCOLORQUANTIZATIONTYPE_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsColorQuantizationType_CollectionTypeFactory<br>
 * for class Mp7JrsColorQuantizationType_CollectionType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 273<br>
 * Item type: ColorQuantizationType_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsColorQuantizationType_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsColorQuantizationType_CollectionTypeFactory();
    virtual ~Mp7JrsColorQuantizationType_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _484MP7JRSCOLORQUANTIZATIONTYPE_COLLECTIONTYPEFACTORY_H
