/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _537MP7JRSCOMPOSITIONTRANSITIONTYPE_COMPOSITIONTYPE_LOCALTYPE_H
#define _537MP7JRSCOMPOSITIONTRANSITIONTYPE_COMPOSITIONTYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsCompositionTransitionType_compositionType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsCompositionTransitionType_compositionType_LocalType<br>
 * Located at: mds-2001.xsd, line 4163<br>
 * Enumerations: <br>
 * create (mapped to XML create) <br>
 * _delete (mapped to XML delete) <br>
 * change (mapped to XML change) <br>
 */
class MP7JRS_EXPORT Mp7JrsCompositionTransitionType_compositionType_LocalType
{
public:
	/** Mp7JrsCompositionTransitionType_compositionType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		create, // Mapped to create
		_delete, // Mapped to delete
		change, // Mapped to change
	};
	

// no includefile for extension defined 
// file Mp7JrsCompositionTransitionType_compositionType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsCompositionTransitionType_compositionType_LocalType::Enumeration item);
	static Mp7JrsCompositionTransitionType_compositionType_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsCompositionTransitionType_compositionType_LocalType_ExtPropDef.h


};
#endif // _537MP7JRSCOMPOSITIONTRANSITIONTYPE_COMPOSITIONTYPE_LOCALTYPE_H
