/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _582MP7JRSCONTENTENTITYTYPE_MULTIMEDIACONTENT_COLLECTIONTYPEFACTORY_H
#define _582MP7JRSCONTENTENTITYTYPE_MULTIMEDIACONTENT_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsContentEntityType_MultimediaContent_CollectionTypeFactory<br>
 * for class Mp7JrsContentEntityType_MultimediaContent_CollectionType:<br>
 * Located at: mds-2001.xsd, line 162<br>
 * Abstract item type: MultimediaContentType<br>
 * Possible classes:<br>
 * \li AnalyticEditedVideoType (Class)<br>
 * \li AudioType (Class)<br>
 * \li AudioVisualType (Class)<br>
 * \li ImageType (Class)<br>
 * \li InkContentType (Class)<br>
 * \li MultimediaCollectionType (Class)<br>
 * \li MultimediaType (Class)<br>
 * \li SignalType (Class)<br>
 * \li VideoType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsContentEntityType_MultimediaContent_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsContentEntityType_MultimediaContent_CollectionTypeFactory();
    virtual ~Mp7JrsContentEntityType_MultimediaContent_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _582MP7JRSCONTENTENTITYTYPE_MULTIMEDIACONTENT_COLLECTIONTYPEFACTORY_H
