/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _824MP7JRSEXTENDEDLANGUAGETYPEFACTORY_H
#define _824MP7JRSEXTENDEDLANGUAGETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsExtendedLanguageTypeFactory<br>
 * for class Mp7JrsExtendedLanguageType:<br>
 * Located at: mds-2001.xsd, line 2672<br>
 * Classified: Class<br>
 * Derived from: language (String)<br>
 */

class MP7JRS_EXPORT Mp7JrsExtendedLanguageTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsExtendedLanguageTypeFactory();
    virtual ~Mp7JrsExtendedLanguageTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _824MP7JRSEXTENDEDLANGUAGETYPEFACTORY_H
