/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _884MP7JRSFREQUENCYTREETYPEFACTORY_H
#define _884MP7JRSFREQUENCYTREETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsFrequencyTreeTypeFactory<br>
 * for class Mp7JrsFrequencyTreeType:<br>
 * Located at: mds-2001.xsd, line 5055<br>
 * Classified: Class<br>
 * Derived from: ViewDecompositionType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsFrequencyTreeTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsFrequencyTreeTypeFactory();
    virtual ~Mp7JrsFrequencyTreeTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _884MP7JRSFREQUENCYTREETYPEFACTORY_H
