/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _915MP7JRSGOFGOPCOLORTYPE_AGGREGATION_LOCALTYPE_H
#define _915MP7JRSGOFGOPCOLORTYPE_AGGREGATION_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsGoFGoPColorType_aggregation_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsGoFGoPColorType_aggregation_LocalType<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 648<br>
 * Enumerations: <br>
 * Average (mapped to XML Average) <br>
 * Median (mapped to XML Median) <br>
 * Intersection (mapped to XML Intersection) <br>
 */
class MP7JRS_EXPORT Mp7JrsGoFGoPColorType_aggregation_LocalType
{
public:
	/** Mp7JrsGoFGoPColorType_aggregation_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		Average, // Mapped to Average
		Median, // Mapped to Median
		Intersection, // Mapped to Intersection
	};
	

// no includefile for extension defined 
// file Mp7JrsGoFGoPColorType_aggregation_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsGoFGoPColorType_aggregation_LocalType::Enumeration item);
	static Mp7JrsGoFGoPColorType_aggregation_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsGoFGoPColorType_aggregation_LocalType_ExtPropDef.h


};
#endif // _915MP7JRSGOFGOPCOLORTYPE_AGGREGATION_LOCALTYPE_H
