/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1226MP7JRSMEDIARELTIMEPOINTTYPEFACTORY_H
#define _1226MP7JRSMEDIARELTIMEPOINTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsMediaRelTimePointTypeFactory<br>
 * for class Mp7JrsMediaRelTimePointType:<br>
 * Located at: mds-2001.xsd, line 1062<br>
 * Classified: Class<br>
 * Derived from: mediaTimeOffsetType (Pattern)<br>
 */

class MP7JRS_EXPORT Mp7JrsMediaRelTimePointTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsMediaRelTimePointTypeFactory();
    virtual ~Mp7JrsMediaRelTimePointTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1226MP7JRSMEDIARELTIMEPOINTTYPEFACTORY_H
