/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1279MP7JRSMETERTYPE_DENOMINATOR_LOCALTYPE_H
#define _1279MP7JRSMETERTYPE_DENOMINATOR_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsMeterType_Denominator_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsMeterType_Denominator_LocalType<br>
 * Located at: audio-2001.xsd, line 761<br>
 * Enumerations: <br>
 * _1 (mapped to XML 1) <br>
 * _2 (mapped to XML 2) <br>
 * _4 (mapped to XML 4) <br>
 * _8 (mapped to XML 8) <br>
 * _16 (mapped to XML 16) <br>
 * _32 (mapped to XML 32) <br>
 * _64 (mapped to XML 64) <br>
 * _128 (mapped to XML 128) <br>
 */
class MP7JRS_EXPORT Mp7JrsMeterType_Denominator_LocalType
{
public:
	/** Mp7JrsMeterType_Denominator_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		_1, // Mapped to 1
		_2, // Mapped to 2
		_4, // Mapped to 4
		_8, // Mapped to 8
		_16, // Mapped to 16
		_32, // Mapped to 32
		_64, // Mapped to 64
		_128, // Mapped to 128
	};
	

// no includefile for extension defined 
// file Mp7JrsMeterType_Denominator_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsMeterType_Denominator_LocalType::Enumeration item);
	static Mp7JrsMeterType_Denominator_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsMeterType_Denominator_LocalType_ExtPropDef.h


};
#endif // _1279MP7JRSMETERTYPE_DENOMINATOR_LOCALTYPE_H
