/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1483MP7JRSORDERINGKEYTYPE_DIRECTION_LOCALTYPE_H
#define _1483MP7JRSORDERINGKEYTYPE_DIRECTION_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsOrderingKeyType_direction_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsOrderingKeyType_direction_LocalType<br>
 * Located at: mds-2001.xsd, line 2026<br>
 * Enumerations: <br>
 * descending (mapped to XML descending) <br>
 * ascending (mapped to XML ascending) <br>
 */
class MP7JRS_EXPORT Mp7JrsOrderingKeyType_direction_LocalType
{
public:
	/** Mp7JrsOrderingKeyType_direction_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		descending, // Mapped to descending
		ascending, // Mapped to ascending
	};
	

// no includefile for extension defined 
// file Mp7JrsOrderingKeyType_direction_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsOrderingKeyType_direction_LocalType::Enumeration item);
	static Mp7JrsOrderingKeyType_direction_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsOrderingKeyType_direction_LocalType_ExtPropDef.h


};
#endif // _1483MP7JRSORDERINGKEYTYPE_DIRECTION_LOCALTYPE_H
