/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1670MP7JRSPROBABILITYDISTRIBUTIONTYPE_MOMENT_VALUE_LOCALTYPEFACTORY_H
#define _1670MP7JRSPROBABILITYDISTRIBUTIONTYPE_MOMENT_VALUE_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsProbabilityDistributionType_Moment_Value_LocalTypeFactory<br>
 * for class Mp7JrsProbabilityDistributionType_Moment_Value_LocalType:<br>
 * Located at: mds-2001.xsd, line 5411<br>
 * Classified: Class<br>
 * Derived from: DoubleMatrixType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsProbabilityDistributionType_Moment_Value_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsProbabilityDistributionType_Moment_Value_LocalTypeFactory();
    virtual ~Mp7JrsProbabilityDistributionType_Moment_Value_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1670MP7JRSPROBABILITYDISTRIBUTIONTYPE_MOMENT_VALUE_LOCALTYPEFACTORY_H
