/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1886MP7JRSSHAPE3DTYPE_SPECTRUM_LOCALTYPEFACTORY_H
#define _1886MP7JRSSHAPE3DTYPE_SPECTRUM_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsShape3DType_Spectrum_LocalTypeFactory<br>
 * for class Mp7JrsShape3DType_Spectrum_LocalType:<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 810<br>
 * Derived from: Shape3DType_Spectrum_CollectionType (Collection)<br>
 */

class MP7JRS_EXPORT Mp7JrsShape3DType_Spectrum_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsShape3DType_Spectrum_LocalTypeFactory();
    virtual ~Mp7JrsShape3DType_Spectrum_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1886MP7JRSSHAPE3DTYPE_SPECTRUM_LOCALTYPEFACTORY_H
