/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2019MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_UNIT_LOCALTYPE_H
#define _2019MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_UNIT_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType<br>
 * Located at: visual-2001.with.net.workaround.xsd, line 106<br>
 * Enumerations: <br>
 * pixel (mapped to XML pixel) <br>
 * meter (mapped to XML meter) <br>
 * pictureHeight (mapped to XML pictureHeight) <br>
 * pictureWidth (mapped to XML pictureWidth) <br>
 * pictureWidthAndHeight (mapped to XML pictureWidthAndHeight) <br>
 */
class MP7JRS_EXPORT Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType
{
public:
	/** Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		pixel, // Mapped to pixel
		meter, // Mapped to meter
		pictureHeight, // Mapped to pictureHeight
		pictureWidth, // Mapped to pictureWidth
		pictureWidthAndHeight, // Mapped to pictureWidthAndHeight
	};
	

// no includefile for extension defined 
// file Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType::Enumeration item);
	static Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSpatial2DCoordinateSystemType_Unit_LocalType_ExtPropDef.h


};
#endif // _2019MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_UNIT_LOCALTYPE_H
