/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2343MP7JRSUNIQUEIDTYPE_ENCODING_LOCALTYPE_H
#define _2343MP7JRSUNIQUEIDTYPE_ENCODING_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsUniqueIDType_encoding_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsUniqueIDType_encoding_LocalType<br>
 * Located at: mds-2001.xsd, line 912<br>
 * Enumerations: <br>
 * text (mapped to XML text) <br>
 * base16 (mapped to XML base16) <br>
 * base64 (mapped to XML base64) <br>
 */
class MP7JRS_EXPORT Mp7JrsUniqueIDType_encoding_LocalType
{
public:
	/** Mp7JrsUniqueIDType_encoding_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		text, // Mapped to text
		base16, // Mapped to base16
		base64, // Mapped to base64
	};
	

// no includefile for extension defined 
// file Mp7JrsUniqueIDType_encoding_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsUniqueIDType_encoding_LocalType::Enumeration item);
	static Mp7JrsUniqueIDType_encoding_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsUniqueIDType_encoding_LocalType_ExtPropDef.h


};
#endif // _2343MP7JRSUNIQUEIDTYPE_ENCODING_LOCALTYPE_H
