/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef MP7JRS_12345_UNKNOWNFACTORY_H
#define MP7JRS_12345_UNKNOWNFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"

/** Factory for unknown node type */
class MP7JRS_EXPORT Mp7JrsUnknownFactory :
	public Mp7JrsFactory
{
public:
	Mp7JrsUnknownFactory();
	virtual ~Mp7JrsUnknownFactory();

	virtual const char * GetTypeName() const;
	virtual Mp7JrsNodePtr CreateObject();

};

#endif // MP7JRS_12345_UNKNOWNFACTORY_H
