/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2444MP7JRSUSERDESCRIPTIONTYPEFACTORY_H
#define _2444MP7JRSUSERDESCRIPTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsUserDescriptionTypeFactory<br>
 * for class Mp7JrsUserDescriptionType:<br>
 * Located at: mds-2001.xsd, line 237<br>
 * Classified: Class<br>
 * Derived from: ContentManagementType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsUserDescriptionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsUserDescriptionTypeFactory();
    virtual ~Mp7JrsUserDescriptionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2444MP7JRSUSERDESCRIPTIONTYPEFACTORY_H
