/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2584MP7JRSWORDFORMTYPE_TYPE_LOCALTYPE2FACTORY_H
#define _2584MP7JRSWORDFORMTYPE_TYPE_LOCALTYPE2FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsWordFormType_type_LocalType2Factory<br>
 * for class Mp7JrsWordFormType_type_LocalType2:<br>
 * Located at: mds-2001.xsd, line 1304<br>
 */

class MP7JRS_EXPORT Mp7JrsWordFormType_type_LocalType2Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsWordFormType_type_LocalType2Factory();
    virtual ~Mp7JrsWordFormType_type_LocalType2Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2584MP7JRSWORDFORMTYPE_TYPE_LOCALTYPE2FACTORY_H
