/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _248MP7JRSBASICTIMEPOINTTYPEFACTORY_H
#define _248MP7JRSBASICTIMEPOINTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsbasicTimePointTypeFactory<br>
 * for class Mp7JrsbasicTimePointType:<br>
 * Located at: ddl-2001.xsd, line 60<br>
 * Regular expression: <br>
 * \-?(\d+(\-\d{2}(\-\d{2})?)?)?(T\d{2}(:\d{2}(:\d{2}(:\d+(\.\d{2})?)?)?)?)?(F\d+)?((\-|\+)\d{2}:\d{2})?<br>
 */

class MP7JRS_EXPORT Mp7JrsbasicTimePointTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsbasicTimePointTypeFactory();
    virtual ~Mp7JrsbasicTimePointTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _248MP7JRSBASICTIMEPOINTTYPEFACTORY_H
