/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1519MP7JRSPADDINGTYPE_LOCALTYPE_H
#define _1519MP7JRSPADDINGTYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrspaddingType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrspaddingType_LocalType<br>
 * Located at: mds-2001.xsd, line 4834<br>
 * Enumerations: <br>
 * zero (mapped to XML zero) <br>
 * replication (mapped to XML replication) <br>
 * periodic (mapped to XML periodic) <br>
 * symmetric (mapped to XML symmetric) <br>
 * antiSymmetric (mapped to XML antiSymmetric) <br>
 */
class MP7JRS_EXPORT Mp7JrspaddingType_LocalType
{
public:
	/** Mp7JrspaddingType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		zero, // Mapped to zero
		replication, // Mapped to replication
		periodic, // Mapped to periodic
		symmetric, // Mapped to symmetric
		antiSymmetric, // Mapped to antiSymmetric
	};
	

// no includefile for extension defined 
// file Mp7JrspaddingType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrspaddingType_LocalType::Enumeration item);
	static Mp7JrspaddingType_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrspaddingType_LocalType_ExtPropDef.h


};
#endif // _1519MP7JRSPADDINGTYPE_LOCALTYPE_H
