/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1698MP7JRSREGIONCODEFACTORY_H
#define _1698MP7JRSREGIONCODEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsregionCodeFactory<br>
 * for class Mp7JrsregionCode:<br>
 * Located at: mds-2001.xsd, line 834<br>
 * Regular expression: <br>
 * [a-zA-Z]{2}(-[a-zA-Z0-9]{1,3})?<br>
 * Mapped to string<br>
 */

class MP7JRS_EXPORT Mp7JrsregionCodeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsregionCodeFactory();
    virtual ~Mp7JrsregionCodeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1698MP7JRSREGIONCODEFACTORY_H
