/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _45MP7JRSSPACE_LOCALTYPE_H
#define _45MP7JRSSPACE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7Jrsspace_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7Jrsspace_LocalType<br>
 * Located at: <no info>, line 0<br>
 * Enumerations: <br>
 * _default (mapped to XML default) <br>
 * preserve (mapped to XML preserve) <br>
 */
class MP7JRS_EXPORT Mp7Jrsspace_LocalType
{
public:
	/** Mp7Jrsspace_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		_default, // Mapped to default
		preserve, // Mapped to preserve
	};
	

// no includefile for extension defined 
// file Mp7Jrsspace_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7Jrsspace_LocalType::Enumeration item);
	static Mp7Jrsspace_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7Jrsspace_LocalType_ExtPropDef.h


};
#endif // _45MP7JRSSPACE_LOCALTYPE_H
