/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2404MP7JRSUNSIGNED7FACTORY_H
#define _2404MP7JRSUNSIGNED7FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7Jrsunsigned7Factory<br>
 * for class Mp7Jrsunsigned7:<br>
 * Located at: mds-2001.xsd, line 481<br>
 * Derived from: nonNegativeInteger (Value)<br>
 */

class MP7JRS_EXPORT Mp7Jrsunsigned7Factory :
    public Mp7JrsFactory
{
public:
    Mp7Jrsunsigned7Factory();
    virtual ~Mp7Jrsunsigned7Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2404MP7JRSUNSIGNED7FACTORY_H
