/*****************************************************************************/
/* Copyright (C) 2003-2007, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2441MP7JRSUSERCHOICETYPE_H
#define _2441MP7JRSUSERCHOICETYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsuserChoiceType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsuserChoiceType<br>
 * Located at: mds-2001.xsd, line 5852<br>
 * Enumerations: <br>
 * _true (mapped to XML true) <br>
 * _false (mapped to XML false) <br>
 * user (mapped to XML user) <br>
 */
class MP7JRS_EXPORT Mp7JrsuserChoiceType
{
public:
	/** Mp7JrsuserChoiceType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		_true, // Mapped to true
		_false, // Mapped to false
		user, // Mapped to user
	};
	

// no includefile for extension defined 
// file Mp7JrsuserChoiceType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsuserChoiceType::Enumeration item);
	static Mp7JrsuserChoiceType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsuserChoiceType_ExtPropDef.h


};
#endif // _2441MP7JRSUSERCHOICETYPE_H
